%define dbver 3.1.17
%define realversion 1.4
%define majorversion  1.4
%define build_cvs 0
%define build_pilot 1
%define dbdir db-3.1.17
%if %build_cvs
%define buildtopdir $RPM_BUILD_DIR/%name
%else
%define buildtopdir $RPM_BUILD_DIR/%name-%version
%endif

%add_findprov_lib_path %_libdir/%name/%majorversion


Name: evolution
Summary: Integrated GNOME mail client, calendar and address book
Version: 1.4.4
Release: alt1
License: GPL
Group: Office
Obsoletes: %name-devel, %name-devel-static
%if %build_cvs
Source: http://www.helixcode.com/apps/evolution-preview/%name-%{version}cvs.tar.bz2
%else
Source: http://www.helixcode.com/apps/evolution-preview/%name-%version.tar.bz2
%endif
#Source: http://www.helixcode.com/apps/evolution-preview/%name-0.12.99.tar.bz2
Source2: evolution_48.png
Source3: evolution_32.png
Source4: evolution_16.png
Source6: db-%dbver.tar.bz2
Patch: %name-1.4.0-wombat.patch


Url: http://www.gnome.org/

PreReq: scrollkeeper, libgal2 >= 1.99.9, libgtkhtml3 >= 3.0.8, libsoup >= 1.99.23, libORBit2 >= 2.7.2, libbonobo2 >= 2.3.4
BuildPreReq: libgal2-devel >= 1.99.9, libgtkhtml3-devel >= 3.0.8, libsoup-devel >= 1.99.23, libORBit2 >= 2.7.2, libbonobo2-devel >= 2.3.4

Provides: camel


# Automatically added by buildreq on Thu Jul 03 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo docbook-utils esound-devel flex fontconfig-devel freetype2-devel glib-devel glib2-devel glibc-devel-static gnome-common gnome-vfs2-devel gtk-doc indent intltool libGConf2-devel libIDL-devel libORBit2 libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libgail-devel libgal2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libgtkhtml3-devel libjpeg-devel libldap-devel libpango-devel libpopt-devel libsoup-devel libssl-devel libxml-devel libxml2-devel libxslt mozilla-nspr-devel mozilla-nss-devel pkgconfig postfix scrollkeeper termutils zlib-devel

BuildRequires: libsoup-devel >= 1.99.23

Requires: libsoup >= 1.99.23

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%if %build_pilot
%package pilot
Summary: Evolution conduits for gnome-pilot
Group: Communications
Requires: %name = %version-%release

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to
synchronize your Palm with Evolution
%else
Obsoletes: %name-pilot
%endif

%prep
%if %build_cvs
%setup -q -n%name -a 6
%else
%setup -q -a 6
%endif
##patch -p1

for i in `find ./ -name '*-skels.c'`;
do
   echo $i;
   j="${i/-skels.c}.h";
   echo $j;
done | xargs rm -f

%build

cd %buildtopdir/%dbdir/build_unix
CFLAGS="$RPM_OPT_FLAGS -fPIC" ../dist/configure --prefix=%_prefix --enable-static --enable-posixmutexes=no
make

cd %buildtopdir

CFLAGS="$RPM_OPT_FLAGS -fPIC"
%if %build_cvs
cd libical
./autogen.sh --prefix=%_prefix
cd -

./autogen.sh --prefix=%_prefix --sysconfdir=%_sysconfdir --libexecdir=%_libexecdir \
--disable-maintainer-mode \
--enable-gtk-doc=no \
--with-db3-includes=%buildtopdir/%dbdir/build_unix \
--with-db3-libs=%buildtopdir/%dbdir/build_unix \
--with-openldap=yes --with-static-ldap=no  \
--with-sub-version=" (%version-%release)" \
--with-kde-applnk-path=no \
--enable-file-locking=fcntl --enable-dot-locking=no --enable-ipv6 \
--enable-nntp=no \
%if %build_pilot
--enable-pilot-conduits=yes \
%else
--enable-pilot-conduits=no \
%endif
--with-nspr-includes=%_includedir/nspr --with-nss-includes=%_includedir/nss

%else
#automake-1.4
%configure --with-openldap \
--enable-gtk-doc=no \
--with-db3-includes=%buildtopdir/%dbdir/build_unix \
--with-db3-libs=%buildtopdir/%dbdir/build_unix \
--with-openldap=yes --with-static-ldap=no  \
--with-sub-version=" (%version-%release)" \
--with-kde-applnk-path=no \
--enable-file-locking=fcntl --enable-dot-locking=no --enable-ipv6 \
--enable-nntp=no \
%if %build_pilot
--enable-pilot-conduits=yes \
%else
--enable-pilot-conduits=no \
%endif
--with-nspr-includes=%_includedir/nspr --with-nss-includes=%_includedir/nss
#--enable-openssl=yes
%endif

%make_build

cat /dev/null > default_user/local/Inbox/mbox

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL



mkdir -p $RPM_BUILD_ROOT%_iconsdir  $RPM_BUILD_ROOT%_liconsdir  $RPM_BUILD_ROOT%_miconsdir
cp -f %SOURCE2 $RPM_BUILD_ROOT%_liconsdir/evolution.png
cp -f %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/evolution.png
cp -f %SOURCE4 $RPM_BUILD_ROOT%_miconsdir/evolution.png
mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): \
	command="%_bindir/evolution" \
	icon="evolution.png" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool"
EOF

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/gnome/config
cat << EOF > $RPM_BUILD_ROOT%_sysconfdir/gnome/config/Gnome
[URL Handlers]
mailto-show=evolution "%s"
EOF

# remove development support... 
rm -rf $RPM_BUILD_ROOT/%_includedir
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/*.a
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/*.la
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/*/*.a
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/*/*.la
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/pkgconfig/*.pc
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/gnome-pilot/conduits/*.a
rm -f $RPM_BUILD_ROOT/%_libdir/evolution/1.4/gnome-pilot/conduits/*.la



%find_lang %name-1.4

%post
%post_ldconfig
%_sbindir/bonobo-activation-sysconf --add-directory=%_libdir/bonobo/servers/
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_evolution_addressbook.schemas apps_evolution_calendar.schemas apps_evolution_shell.schemas apps_evolution_summary.schemas evolution-mail.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%update_scrollkeeper
%update_menus

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_menus



%files -f %name-1.4.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%_sysconfdir/gconf/schemas/*
%_bindir/*
%dir %_libdir/evolution
%_libdir/evolution/1.4/*
%_libdir/bonobo/servers/*
%dir %_libexecdir/evolution/1.4
%dir %_libexecdir/evolution/
%_libexecdir/evolution/1.4/*
%_datadir/applications/*
%_datadir/gnome/help/evolution-1.4
%_datadir/idl/evolution-1.4/*
%_datadir/mime-info/*
%dir %_datadir/evolution
%_datadir/evolution/1.4/*
%_datadir/omf/evolution/*
%_datadir/pixmaps/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_menudir/%name

%if %build_pilot

%files pilot
%_libdir/gnome-pilot/conduits/*.so
%_datadir/gnome-pilot/conduits/*

%endif


%changelog
* Wed Aug 06 2003 AEN <aen@altlinux.ru> 1.4.4-alt1
- new version

* Mon Jul 14 2003 AEN <aen@altlinux.ru> 1.4.3-alt2
- PreReq and BuildPreReq on liborbi2 & libbonobo2 added (thnks to Vyt)

* Fri Jul 11 2003 AEN <aen@altlinux.ru> 1.4.3-alt1
- release 

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1.4.1-alt0.2
- libexecdir fixed

* Thu Jul 03 2003 AEN <aen@altlinux.ru> 1.4.1-alt0.1
- new version from cvs

* Wed Jul 02 2003 AEN <aen@altlinux.ru> 1.4.0-alt2
- wombat patch from mdk

* Mon Mar 31 2003 AEN <aen@altlinux.ru> 1.2.3-alt1
- new version

* Tue Mar 18 2003 AEN <aen@altlinux.ru> 1.2.2-alt2
- security patch

* Sat Feb 15 2003 AEN <aen@altlinux.ru> 1.2.2-alt1
- new version

* Wed Feb 05 2003 AEN <aen@altlinux.ru> 1.2.1-alt3
- new ru.po from CVS added

* Wed Jan 15 2003 AEN <aen@altlinux.ru> 1.2.1-alt2
- requires fixed 

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 1.2.1-alt1
- new version

* Mon Dec 02 2002 AEN <aen@altlinux.ru> 1.2.0-alt3
- added Requires on gnome-vfs >= 1.0.5 

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 1.2.0-alt2
- fixed permissions

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.2.0-alt1
- new version

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 1.0.8-alt3
- scrollkeeper patch from MDK
- build with pilot

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.0.8-alt2
- rebuilt with mozilla-1.2a
- pilot temporary disabled

* Mon Jul 01 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Mon Jun 17 2002 AEN <aen@logic.ru> 1.0.7-alt1
- new version
- patch2 removed

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.0.5-alt3
- rebuild with mozilla-1.0
- patch2 from CVS

* Wed May 15 2002 AEN <aen@logic.ru> 1.0.5-alt2
- enable-file-locking=fcntl

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Tue Mar 26 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new version
- build with external nss

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.2-alt3
- *.desktop converted

* Sun Mar 10 2002 AEN <aen@logic.ru> 1.0.2-alt2
- rebuild with static nss-1.1.3

* Mon Feb 04 2002 AEN <aen@logc.ru> 1.0.2-alt1
- new version

* Fri Jan 25 2002 AEN <aen@logic.ru> 1.0.1-alt5
- BuildRequires generated

* Fri Jan 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.1-alt4
- Updated buildrequires.

* Thu Jan 17 2002 AEN <aen@logic.ru> 1.0.1-alt3
- requires: gtkhtml added

* Tue Jan 15 2002 AEN <aen@logic.ru> 1.0.1-alt2
- updates russian translation

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version
- patches 0-1 removed, patch2 refreshed

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.99.2-alt2
- official RC2
- rebuild with new gnome-pilot

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.99.2-alt1
- snapshot

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt2
- w/o font patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.16-alt0.1
- build snapshot

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt2
- fonts patch

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt1
- new version

* Wed Sep 12 2001 AEN <aen@logic.ru> 0.13-alt3
- requires bonobo-conf
* Mon Sep 10 2001 AEN <aen@logic.ru> 0.13-alt2
- i18n patch from MDK

* Fri Sep 07 2001 AEN <aen@logic.ru> 0.13-alt1
- release 0.13

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.13-alt0.1
- snapshot

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.12-alt3
- rebuild with new libgal/gtkhtml
- oaf-slay added to %post

* Tue Aug 23 2001 AEN <aen@logic.ru> 0.12-alt2
- rebuild with new libtool/autoconf

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.12-alt1
- new version
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.11-alt1
- new version
- w/o movemail

* Wed Jul 17 2001 AEN <aen@logic.ru> 0.10.99-alt3
- new snapshot with  gtkhtml-0.10.0

* Thu Jul 12 2001 AEN <aen@logic.ru> 0.10.99-alt2
- new snapshot

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.10.99-alt1
- new version with db-3.1.17

* Thu May 24 2001 AEN <aen@logic.ru> 0.10-alt5
- built cvs version with libgal-0.8 and gtkhtml-0.9.3+
- built w/o pilot, ssl, nspr

* Thu May 17 2001 AEN <aen@logic.ru> 0.10-alt4
- build with pilot support

* Wed May 16 2001 AEN <aen@logic.ru> 0.10-alt3
- charset patch
- ru.po fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt2
- %files fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt1
- 0.10
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.9-ipl3mdk
- sync with MDK
- rebuild in Gnome-1.4 environment

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9-ipl2mdk
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 AEN <aen@logic.ru> 0.9-ipl1mdk
- 0.9

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl3mdk
- build ximean snapsot 2001/02/16

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl2mdk
- rebuild with new libraries
- gal-0.5 patch

* Sat Dec 16 2000 AEN <aen@logic.ru>
- 0.8
- adopted for RE
* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
